<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reset Password</title>
    <style>
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: #333;
            margin: 0;
            padding: 0;
            background-color: #f9f9f9;
        }
        .container {
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
            background-color: #ffffff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
        .header {
            text-align: center;
            padding: 20px 0;
            border-bottom: 1px solid #eee;
        }
        .logo {
            max-height: 60px;
            margin-bottom: 15px;
        }
        .content {
            padding: 30px 20px;
        }
        .button {
            display: inline-block;
            background-color: #2196F3;
            color: white !important;
            text-decoration: none;
            padding: 12px 30px;
            border-radius: 4px;
            font-weight: bold;
            margin: 20px 0;
            text-align: center;
        }
        .button:hover {
            background-color: #0b7dda;
        }
        .footer {
            text-align: center;
            padding: 20px;
            font-size: 12px;
            color: #777;
            border-top: 1px solid #eee;
        }
        .pin-box {
            background-color: #f5f5f5;
            border: 1px dashed #ddd;
            border-radius: 4px;
            padding: 15px;
            margin: 20px 0;
            text-align: center;
            font-size: 28px;
            letter-spacing: 5px;
            font-weight: bold;
            color: #2196F3;
        }
        .note {
            font-size: 13px;
            color: #777;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1 style="color: #2196F3; margin: 0;">TailorHub</h1>
            <h2>Reset Password</h2>
        </div>
        
        <div class="content">
            <p>Halo <strong>{{ $name }}</strong>,</p>
            
            <p>Anda menerima email ini karena kami menerima permintaan reset password untuk akun Anda di <strong>TailorHub</strong>.</p>
            
            <p>Berikut adalah PIN reset password Anda:</p>
            
            <div class="pin-box">
                {{ $pin }}
            </div>
            
            <p>Gunakan PIN ini untuk mereset password Anda. PIN ini akan kadaluarsa dalam {{ $expiresIn }}.</p>
            
            <p>Jika Anda tidak meminta reset password, Anda dapat mengabaikan email ini dan akun Anda tetap aman.</p>
            
            <div style="text-align: center; margin-top: 30px;">
                <p>Jika Anda memiliki pertanyaan, silakan hubungi tim dukungan kami.</p>
            </div>
            
            <p class="note">Demi keamanan, jangan bagikan PIN ini kepada siapapun.</p>
        </div>
        
        <div class="footer">
            <p>&copy; {{ date('Y') }} TailorHub. Semua hak dilindungi undang-undang.</p>
            <p>Jl. Contoh No. 123, Jakarta, Indonesia</p>
        </div>
    </div>
</body>
</html> 