<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verifikasi Email Gagal - TailorHub</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f5f7fa;
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100vh;
        }
        .container {
            max-width: 600px;
            background-color: #ffffff;
            border-radius: 10px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
            overflow: hidden;
            margin: 20px;
            width: 100%;
        }
        .header {
            background-color: #f44336;
            color: white;
            padding: 30px;
            text-align: center;
        }
        .header h1 {
            margin: 0;
            font-size: 28px;
            font-weight: 600;
        }
        .content {
            padding: 30px;
            text-align: center;
        }
        .error-icon {
            width: 100px;
            height: 100px;
            background-color: #f44336;
            border-radius: 50%;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0 auto 20px;
        }
        .error-icon svg {
            width: 60px;
            height: 60px;
            fill: white;
        }
        .message {
            font-size: 18px;
            color: #333;
            margin-bottom: 20px;
        }
        .info-box {
            background-color: #fff3e0;
            border-left: 4px solid #ff9800;
            border-radius: 4px;
            padding: 15px;
            margin-bottom: 20px;
            text-align: left;
        }
        .info-box p {
            margin: 5px 0;
            font-size: 14px;
            color: #555;
        }
        .button {
            display: inline-block;
            background-color: #2196F3;
            color: white;
            text-decoration: none;
            padding: 12px 30px;
            border-radius: 5px;
            font-weight: 500;
            margin-top: 20px;
            transition: background-color 0.3s;
        }
        .button:hover {
            background-color: #0d8bf2;
        }
        .footer {
            padding: 20px;
            text-align: center;
            color: #777;
            font-size: 12px;
            border-top: 1px solid #eee;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>TailorHub</h1>
        </div>
        
        <div class="content">
            <div class="error-icon">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
                    <path d="M0 0h24v24H0V0z" fill="none"/>
                    <path d="M11 15h2v2h-2zm0-8h2v6h-2zm.99-5C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"/>
                </svg>
            </div>
            
            <h2>Verifikasi Email Gagal</h2>
            
            <div class="message">
                {{ $message }}
            </div>
            
            <div class="info-box">
                <p>Kemungkinan penyebab:</p>
                <ul style="text-align: left;">
                    <li>Link verifikasi sudah kadaluarsa (berlaku 60 menit)</li>
                    <li>Link verifikasi sudah digunakan sebelumnya</li>
                    <li>Link verifikasi tidak valid atau telah diubah</li>
                </ul>
            </div>
            
            <p>Silakan coba kirim ulang email verifikasi atau hubungi tim dukungan kami jika Anda terus mengalami masalah.</p>
            
            <div>
                <a href="{{ config('app.frontend_url') }}/login" class="button">Kembali ke Login</a>
            </div>
        </div>
        
        <div class="footer">
            <p>&copy; {{ date('Y') }} TailorHub. Semua hak dilindungi undang-undang.</p>
        </div>
    </div>
</body>
</html> 