<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Verifikasi Email</title>
    <style>
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            line-height: 1.6;
            color: #333;
            margin: 0;
            padding: 0;
            background-color: #f9f9f9;
        }
        .container {
            max-width: 600px;
            margin: 0 auto;
            padding: 20px;
            background-color: #ffffff;
            border-radius: 8px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }
        .header {
            text-align: center;
            padding: 20px 0;
            border-bottom: 1px solid #eee;
        }
        .logo {
            max-height: 60px;
            margin-bottom: 15px;
        }
        .content {
            padding: 30px 20px;
        }
        .button {
            display: inline-block;
            background-color: #4CAF50;
            color: white !important;
            text-decoration: none;
            padding: 12px 30px;
            border-radius: 4px;
            font-weight: bold;
            margin: 20px 0;
            text-align: center;
        }
        .button:hover {
            background-color: #45a049;
        }
        .footer {
            text-align: center;
            padding: 20px;
            font-size: 12px;
            color: #777;
            border-top: 1px solid #eee;
        }
        .pin-box {
            background-color: #f5f5f5;
            border: 1px dashed #ddd;
            border-radius: 4px;
            padding: 15px;
            margin: 20px 0;
            text-align: center;
            font-size: 24px;
            letter-spacing: 5px;
            font-weight: bold;
        }
        .note {
            font-size: 13px;
            color: #777;
            margin-top: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1 style="color: #2196F3; margin: 0;">TailorHub</h1>
            <h2>Verifikasi Email Anda</h2>
        </div>
        
        <div class="content">
            <p>Halo <strong>{{ $name }}</strong>,</p>
            
            <p>Terima kasih telah mendaftar di <strong>TailorHub</strong>. Untuk melanjutkan, silakan verifikasi alamat email Anda dengan mengklik tombol di bawah ini:</p>
            
            <div style="text-align: center;">
                <a href="{{ $url }}" class="button">Verifikasi Email Saya</a>
            </div>
            
            <p>Jika tombol di atas tidak berfungsi, Anda juga dapat menyalin dan menempelkan URL berikut ke browser Anda:</p>
            
            <div style="word-break: break-all; background-color: #f5f5f5; padding: 10px; border-radius: 4px; font-size: 12px;">
                {{ $url }}
            </div>
            
            <p class="note">Jika Anda tidak merasa mendaftar di TailorHub, Anda dapat mengabaikan email ini.</p>
            
            <p class="note">Link verifikasi ini akan kadaluarsa dalam {{ $expiresIn }}.</p>
        </div>
        
        <div class="footer">
            <p>&copy; {{ date('Y') }} TailorHub. Semua hak dilindungi undang-undang.</p>
            <p>Jl. Contoh No. 123, Jakarta, Indonesia</p>
        </div>
    </div>
</body>
</html> 